## org.apache.lucene.search.grouping
Class CollectedSearchGroup<T>

    java.lang.Object
      org.apache.lucene.search.grouping.SearchGroup<T>
          org.apache.lucene.search.grouping.CollectedSearchGroup<T>

    public class CollectedSearchGroup<T>

extends SearchGroup<T>

Expert: representation of a group in `AbstractFirstPassGroupingCollector`, tracking the top doc and `FieldComparator` slot.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.search.grouping.SearchGroup
`groupValue, sortValues`

Constructor Summary
`CollectedSearchGroup()`

Method Summary

Methods inherited from class org.apache.lucene.search.grouping.SearchGroup
`equals, hashCode, merge, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CollectedSearchGroup

    public CollectedSearchGroup()

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.